## org.jfree.ui
Class Size2D

    java.lang.Object
      org.jfree.ui.Size2D

All Implemented Interfaces:
  java.lang.Cloneable, PublicCloneable, java.io.Serializable

public class Size2D
extends java.lang.Object
implements java.lang.Cloneable, PublicCloneable, java.io.Serializable

A simple class for representing the dimensions of an object. It would be better to use `Dimension2D`, but this class is broken on various JDK releases (particularly JDK 1.3.1, refer to bugs 4189446 and 4976448 on the Java bug parade).

Author:
  David Gilbert
See Also:
  Serialized Form

Field Summary
`double` `height` The height.
`double` `width` The width.

Constructor Summary
`Size2D()` Creates a new instance with zero width and height.
`Size2D(double width, double height)` Creates a new instance with the specified width and height.

Method Summary
`java.lang.Object` `clone()` Returns a clone of this object.
`boolean` `equals(java.lang.Object obj)` Compares this instance for equality with an arbitrary object.
`double` `getHeight()` Returns the height.
`double` `getWidth()` Returns the width.
`void` `setHeight(double height)` Sets the height.
`void` `setWidth(double width)` Sets the width.
`java.lang.String` `toString()` Returns a string representation of this instance, mostly used for debugging purposes.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### width

    public double width

  The width.

### height

    public double height

  The height.

Constructor Detail

### Size2D

    public Size2D()

  Creates a new instance with zero width and height.

### Size2D

    public Size2D(double width,
                  double height)

  Creates a new instance with the specified width and height.

Parameters:
  `width` - the width.
  `height` - the height.

Method Detail

### getWidth

    public double getWidth()

  Returns the width.

  Returns:
    The width.

### setWidth

    public void setWidth(double width)

  Sets the width.

  Parameters:
    `width` - the width.

### getHeight

    public double getHeight()

  Returns the height.

  Returns:
    The height.

### setHeight

    public void setHeight(double height)

  Sets the height.

  Parameters:
    `height` - the height.

### toString

    public java.lang.String toString()

  Returns a string representation of this instance, mostly used for debugging purposes.

  Returns:
    A string.

### equals

    public boolean equals(java.lang.Object obj)

  Compares this instance for equality with an arbitrary object.

  Parameters:
    `obj` - the object (`null` permitted).
  Returns:
    A boolean.

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Returns a clone of this object.

  Specified by:
    `clone` in interface `PublicCloneable`
  Returns:
    A clone.
  Throws:
    `java.lang.CloneNotSupportedException` - if the object cannot be cloned.